import { Plugin, ToolbarItemType } from '../plugin';
import { CloseToolbarItem } from './close-toolbar-item';
export type ClosePluginParams = {
    url: string;
    confirm?: boolean;
    confirmMessage?: string;
};
export declare class ClosePlugin extends Plugin<ClosePluginParams> {
    protected readonly closeToolbarItem: CloseToolbarItem;
    protected getToolbarItems(): Map<string, ToolbarItemType>;
    protected onLoad(): void;
    close(): void;
}
